import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

public class MyWorld extends World
{
    private GreenfootSound bgSound = new GreenfootSound("JoezRant-Tucibat-9737_hifi.mp3");  
    int music = 1;

    public MyWorld(){  
        super(800, 600, 1); 
        //prepare(); // Comment this line out to set up splash screen
        setBackground(new GreenfootImage("TitlePage.png")); // Comment this line out to remove splash screen 
    }  

    public void started(){  
        if (getObjects(null).isEmpty())  
        {  
            setBackground("cell.jpg");  
            prepare();
        }
    }  

    public void act()
    {
       
    }

    public void endGame()
    {
        setBackground(new GreenfootImage("GameOver.png"));  
        bgSound.stop();
        removeObjects(getObjects(Wall.class));
        //removeObjects(getObjects(Flag.class));
        //removeObjects(getObjects(Marker.class));
        //removeObjects(getObjects(Finish.class));
        return;
    }

    //Prepare the world for the start of the program. That is: create the initial objects and add them to the world.
    private void prepare()
    {

        // Add Fuel
        //Fuel fuel = new Fuel();
        //addObject(fuel, 368, 292);
        //Fuel fuel2 = new Fuel();
        //addObject(fuel2, 368, 324);

        // Add Flag
        //Flag flag = new Flag();
        //addObject(flag, 425, 210);

        // Add Finish Line & Half Way Marker
        //Finish finish = new Finish();
        //addObject(finish, 225, 499);
        //Marker marker = new Marker();
        //addObject(marker, 443, 329);

        // Add Player 1
        Tank1 tank1 = new Tank1();  // creates a new tank object (and sets it to local field)  
        addObject(tank1, 100, 500); // adds tank to world  
        tank1.setRotation(0);    // Set default rotation
        addObject(new Turret1(tank1), 100, 500); // adds new turret to world (passing the tank object it belongs to in the constructor call)  

        // Add Player 2
        Tank2 tank2 = new Tank2();  // creates a new tank object (and sets it to local field)  
        addObject(tank2, 700, 100); // adds tank to world  
        tank2.setRotation(180);   // Set default rotation
        addObject(new Turret2(tank2), 700, 100); // adds new turret to world (passing the tank object it belongs to in the constructor call)  

        // Add Walls
        Wall wall = new Wall();
        addObject(wall, 100, 300);
        Wall wall2 = new Wall();
        addObject(wall2, 200, 300);
        Wall wall3 = new Wall();
        addObject(wall3, 400, 300);
        Wall wall4 = new Wall();
        addObject(wall4, 600, 300);
        Wall wall5 = new Wall();
        addObject(wall5, 700, 300);

        // Add Borders
        Vbar vbar = new Vbar();
        addObject(vbar, 0, 300);
        Vbar vbar2 = new Vbar();
        addObject(vbar2, 799, 300);
        Hbar hbar = new Hbar();
        addObject(hbar, 400, 10);
        Hbar hbar2 = new Hbar();
        addObject(hbar2, 400, 609);

        // Add Mute
        Mute mute = new Mute();
        addObject(mute, 770, 20);

        // Add Score Targets
        Target1 target1 = new Target1();
        addObject(target1, 34, 564);
        Target2 target2 = new Target2();
        addObject(target2, 768, 564);

        // Add Counters
        Counter1 counter1 = new Counter1();
        addObject(counter1, 34, 564);
        Counter2 counter2 = new Counter2();
        addObject(counter2, 768, 564);
        
        //Add Countdown
        Countdown countdown = new Countdown();
        addObject(countdown, 409, 334);
    }
}